# selfi_interface

selfisys.selfi_interface.PrintMessage(required_verbosity: int, message: str, verbosity: int) → None

  Print a message to standard output using pyselfi.utils.PrintMessage.

  Parameters:

    - required_verbosity (int) – The verbosity level required to display the message.

    - message (str) – The actual message to display.

    - verbosity (int) – The current verbosity level (0=quiet, 1=normal, 2=debug).

selfisys.selfi_interface.indent() → None

  Indent the standard output using pyselfi.utils.

selfisys.selfi_interface.unindent() → None

  Unindent the standard output using pyselfi.utils.